function y = gps2utcCorr(x)

% GPS2UTCCORR converts GPS time to UTC time with leap second correction
%
%SYNOPSIS
%  Y = gps2utcCorr(X)
%
%INPUT  
%  X - GPS time in seconds
%
%OUTPUT
%  Y - UTC time as year, month, day, hour, min, sec
%
%AUTHOR
%   Shantanu Desai (No longer part of the LV Collaboration)

% $Id: gps2utcCorr.m 6645 2010-12-09 16:09:14Z diego.menendez@LIGO.ORG $

% first remove the correction due leap seconds
x = lsCorrRem(x);


% then calculate UTC from GPS
y = gps2utc(x);

return
