function adjustbarbase(H,value)

%ADJUSTBARBASE adjusts the base value for bar and hist plots
%
%SYNOPSIS
%   adjustbarbase(H,VALUE)
%
%INPUT
%   H - [OPTIONAL] handle from calling BAR 
%   VALUE - value to move the base value of the bar plots from 0
%
% N.B.: Doesn't work for horizontal bar plots.
%
%AUTHOR
%   Downloaded from MATLAB Central by Ben Hinkle:
% http://www.mathworks.com/matlabcentral/fileexchange/1200-update-bar-plot-base

%  $Id: adjustbarbase.m 6645 2010-12-09 16:09:14Z diego.menendez@LIGO.ORG $

if nargin == 0 
  error('need at least one argument');
elseif nargin == 1
  value = H;
  H = findobj(gca,'type','patch');
end

H=H(:)';
for h = H
  verts = get(h,'vertices');
  len = size(verts,1);
  nverts = (len-1)/5;
  inds = ones(len,1);
  inds(3:5:len) = 0;
  inds(4:5:len) = 0;
  verts(logical(inds),2) = value;
  set(h,'vertices',verts);
end

return
